# Rate Limit

#### How does the rate limit work?

Every default plan includes **3,000 API calls per entity per hour**.

The Motorsport API is organised around entities (e.g. drivers, races, seasons). All requests made to endpoints that belong to the same entity share a single rate limit pool for that entity.

The rate limit starts counting after your first request has been made. It resets back to your original amount when one hour has passed. If your API calls for a specific entity are depleted, you will not be able to make further requests to that entity until the hour resetsl, however, you can still make requests to other entities that have not hit their limit.

**Example:** If you make your first request at 18:18 UTC, your rate limit for that entity will reset at 19:18 UTC.

{% hint style="info" %}
Want to learn more about how entities work? Check out our [Entities section](https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/entities).
{% endhint %}

#### What happens when I hit the rate limit?

Once you've hit the rate limit, you will receive a **`429 Too Many Requests`** response. You can find a full list of response codes on our [Response Codes page](https://docs.sportmonks.com/v3/motorsport-api/welcome/response-codes).

If you find yourself hitting the limit frequently, consider upgrading your plan via [my.sportmonks.com](https://my.sportmonks.com/).

#### How can I check how many API requests I have left?

Every API response includes a `rate_limit` object that gives you real-time visibility into your usage. It contains three properties:

| Property            | Description                                                                        |
| ------------------- | ---------------------------------------------------------------------------------- |
| `resets_in_seconds` | The number of seconds remaining before the rate limit resets for the given entity. |
| `remaining`         | The number of requests left in the current rate limit timeframe.                   |
| `requested_entity`  | The entity that the current rate limit applies to.                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/motorsport-api/api/rate-limit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
